Class | Tk::Iwidgets::Disjointlistbox
In: | tk/lib/tkextlib/iwidgets/disjointlistbox.rb
Parent: | Tk::Itk::Widget

### Methods

get_lhs get_rhs insert_lhs insert_rhs set_lhs set_rhs

### Constants

TkCommandNames | = | ['::iwidgets::disjointlistbox'.freeze].freeze
WidgetClassName | = | 'Disjointlistbox'.freeze

### Public Instance methods

get_lhs()

[Source]

    # File tk/lib/tkextlib/iwidgets/disjointlistbox.rb, line 35
      def get_lhs
        simplelist(tk_call(@path, 'getlhs'))
      end

get_rhs()

[Source]

    # File tk/lib/tkextlib/iwidgets/disjointlistbox.rb, line 38
      def get_rhs
        simplelist(tk_call(@path, 'getrhs'))
      end

insert_lhs(*items)

[Source]

    # File tk/lib/tkextlib/iwidgets/disjointlistbox.rb, line 42
      def insert_lhs(*items)
        tk_call(@path, 'insertlhs', items)
        self
      end

insert_rhs(*items)

[Source]

    # File tk/lib/tkextlib/iwidgets/disjointlistbox.rb, line 46
      def insert_rhs(*items)
        tk_call(@path, 'insertrhs', items)
        self
      end

set_lhs(*items)

[Source]

    # File tk/lib/tkextlib/iwidgets/disjointlistbox.rb, line 26
      def set_lhs(*items)
        tk_call(@path, 'setlhs', items)
        self
      end

set_rhs(*items)

[Source]

    # File tk/lib/tkextlib/iwidgets/disjointlistbox.rb, line 30
      def set_rhs(*items)
        tk_call(@path, 'setrhs', items)
        self
      end

[Validate]